Bug 1283007 - Update to 2.0.3 and GSL 2 support
Update to 2.0.3 and GSL 2 support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mp (Show other bugs)
24
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1276893
  Show dependency treegraph
 
Reported: 2015-11-17 21:54 EST by Orion Poplawski
Modified: 2016-03-17 13:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-17 13:42:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mp.spec (5.54 KB, text/x-matlab)
2015-11-17 21:54 EST, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2015-11-17 21:54:36 EST
Created attachment 1095791 [details]
mp.spec

Description of problem:

- mp 2.0.3 is available
- I'm working on updating GSL to 2.1 in Fedora which has API changes.  Support has just been added to mp here: https://github.com/ampl/mp/commit/635f5525aeae319a63e97ee26226897dd15ca8bc

Build fails though - https://github.com/ampl/mp/issues/71
Comment 1 Orion Poplawski 2015-11-20 13:01:25 EST
I've checked in a mp2 branch with my current changes.  Big issue that remains is building the docs.  We may be able to use upstream's method if sphinx gets updated to 1.3.1 (see bug 1136284).  Otherwise, not sure.  He uses virtualenv and installs sphinx 1.3.1 and breathe into it, but I think we work around it with system packages.
Comment 2 Jan Kurik 2016-02-24 10:37:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Paulo Andrade 2016-03-17 13:42:22 EDT
Sorry for the very long delay.
mp in rawhide and f24 is now at mp-3.0.1

If the current package is not working as you expected,
please reopen the bug or open a new one.

Note You need to log in before you can comment on or make changes to this bug.